io.undertow.client

## Class UndertowClientMessages_$bundle

- java.lang.Object
- - io.undertow.client.UndertowClientMessages_$bundle

All Implemented Interfaces:
  UndertowClientMessages, Serializable

    @Generated(value="org.jboss.logging.processor.generator.model.MessageBundleImplementor",
               date="2022-12-09T08:00:04-0300")
    public class UndertowClientMessages_$bundle
    extends Object
    implements UndertowClientMessages, Serializable

Warning this class consists of generated code.

See Also:
  Serialized Form

### Field Summary

Fields
`static UndertowClientMessages_$bundle` `INSTANCE`

### Fields inherited from interface io.undertow.client.UndertowClientMessages

`MESSAGES`

### Constructor Summary

Constructors
`protected` `UndertowClientMessages_$bundle()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `connectionClosed()`
`protected String` `connectionClosed$str()`
`IOException` `dataStillRemainingInChunk(long remaining)`
`protected String` `dataStillRemainingInChunk$str()`
`String` `failedToUpgradeChannel(int responseCode, String reason)`
`protected String` `failedToUpgradeChannel$str()`
`protected Locale` `getLoggingLocale()`
`IllegalArgumentException` `illegalContentLength(long length)`
`protected String` `illegalContentLength$str()`
`IOException` `invalidConnectionState()`
`protected String` `invalidConnectionState$str()`
`protected Object` `readResolve()`
`IOException` `receivedInvalidChunk(byte prefix)`
`protected String` `receivedInvalidChunk$str()`
`IllegalStateException` `requestAlreadyWritten()`
`protected String` `requestAlreadyWritten$str()`
`IOException` `unknownAjpMessageType(byte packetType)`
`protected String` `unknownAjpMessageType$str()`
`IOException` `unknownMethod(HttpString method)`
`protected String` `unknownMethod$str()`
`IllegalArgumentException` `unknownScheme(URI uri)`
`protected String` `unknownScheme$str()`
`IOException` `unknownTransferEncoding(String transferEncodingString)`
`protected String` `unknownTransferEncoding$str()`
`IOException` `wrongMagicNumber(String expected, String actual)`
`protected String` `wrongMagicNumber$str()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final UndertowClientMessages_$bundle INSTANCE

### Constructor Detail

#### UndertowClientMessages_$bundle

    protected UndertowClientMessages_$bundle()

### Method Detail

#### readResolve

    protected Object readResolve()

#### getLoggingLocale

    protected Locale getLoggingLocale()

#### connectionClosed$str

    protected String connectionClosed$str()

#### connectionClosed

    public final String connectionClosed()

Specified by:
  `connectionClosed` in interface `UndertowClientMessages`

#### requestAlreadyWritten$str

    protected String requestAlreadyWritten$str()

#### requestAlreadyWritten

    public final IllegalStateException requestAlreadyWritten()

Specified by:
  `requestAlreadyWritten` in interface `UndertowClientMessages`

#### failedToUpgradeChannel$str

    protected String failedToUpgradeChannel$str()

#### failedToUpgradeChannel

    public final String failedToUpgradeChannel(int responseCode,
                                               String reason)

Specified by:
  `failedToUpgradeChannel` in interface `UndertowClientMessages`

#### illegalContentLength$str

    protected String illegalContentLength$str()

#### illegalContentLength

    public final IllegalArgumentException illegalContentLength(long length)

Specified by:
  `illegalContentLength` in interface `UndertowClientMessages`

#### unknownScheme$str

    protected String unknownScheme$str()

#### unknownScheme

    public final IllegalArgumentException unknownScheme(URI uri)

Specified by:
  `unknownScheme` in interface `UndertowClientMessages`

#### unknownTransferEncoding$str

    protected String unknownTransferEncoding$str()

#### unknownTransferEncoding

    public final IOException unknownTransferEncoding(String transferEncodingString)

Specified by:
  `unknownTransferEncoding` in interface `UndertowClientMessages`

#### invalidConnectionState$str

    protected String invalidConnectionState$str()

#### invalidConnectionState

    public final IOException invalidConnectionState()

Specified by:
  `invalidConnectionState` in interface `UndertowClientMessages`

#### unknownAjpMessageType$str

    protected String unknownAjpMessageType$str()

#### unknownAjpMessageType

    public final IOException unknownAjpMessageType(byte packetType)

Specified by:
  `unknownAjpMessageType` in interface `UndertowClientMessages`

#### unknownMethod$str

    protected String unknownMethod$str()

#### unknownMethod

    public final IOException unknownMethod(HttpString method)

Specified by:
  `unknownMethod` in interface `UndertowClientMessages`

#### dataStillRemainingInChunk$str

    protected String dataStillRemainingInChunk$str()

#### dataStillRemainingInChunk

    public final IOException dataStillRemainingInChunk(long remaining)

Specified by:
  `dataStillRemainingInChunk` in interface `UndertowClientMessages`

#### wrongMagicNumber$str

    protected String wrongMagicNumber$str()

#### wrongMagicNumber

    public final IOException wrongMagicNumber(String expected,
                                              String actual)

Specified by:
  `wrongMagicNumber` in interface `UndertowClientMessages`

#### receivedInvalidChunk$str

    protected String receivedInvalidChunk$str()

#### receivedInvalidChunk

    public final IOException receivedInvalidChunk(byte prefix)

Specified by:
  `receivedInvalidChunk` in interface `UndertowClientMessages`